NextSign API
Documents

Document Retrieve

Retrieve a pre-signed document URL using POST /v3/company/{company}/file/view-presigned-url.

Document Retrieve

Use this endpoint to generate a pre-signed URL for a case document stored in NextSign object storage.

Authorization

All requests to this endpoint require authentication using a Bearer Token.

Use your NextSign API key as the bearer token for this endpoint.


Endpoint

POST https://api.nextsign.dk/v3/company/{company}/file/view-presigned-url

Path Parameters

ParameterTypeDescription
companystringYour company identifier

Request Body

FieldTypeRequiredDescription
urlstringYesStored document URL that should be converted into a pre-signed URL

Example Request

cURL
curl --location 'https://api.nextsign.dk/v3/company/{company}/file/view-presigned-url' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  --data '{
    "url": "https://nextsign.hel1.your-objectstorage.com/655e252f708ff057141e577e/case/example.pdf"
  }'

Example Response

200 OK
{
  "key": "655e252f708ff057141e577e/case/example.pdf",
  "signedUrl": "https://nextsign.hel1.your-objectstorage.com/655e252f708ff057141e577e/case/example.pdf?...",
  "type": "application/pdf",
  "cached": true
}

Response Fields

FieldTypeDescription
keystringObject storage key for the file
signedUrlstringTime-limited pre-signed URL
typestringMIME type of the file, when available
cachedbooleanWhether the response came from the URL cache

The generated URL is cached for up to 1 hour.

Common Error Responses

Missing file URL:

{
  "error": "missing-url"
}